# $Revision: 1.3 $, $Date: 2008/08/25 22:39:44 $
Summary:	Library for creating MusicBrainz DiscIDs
Summary(pl.UTF-8):	Biblioteka do tworzenia identyfikatorów DiscID dla MusicBrainz
Name:		libdiscid
Version:	0.2.2
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://users.musicbrainz.org/~matt/%{name}-%{version}.tar.gz
# Source0-md5:	ee21ddbe696a3c60e14827a75f3bcf5b
URL:		http://musicbrainz.org/doc/libdiscid
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libdiscid is a C library for creating MusicBrainz DiscIDs from audio
CDs. It reads a CD's table of contents (TOC) and generates an
identifier which can be used to lookup the CD at MusicBrainz.
Additionally, it provides a submission URL for adding the DiscID to
the database.

%description -l pl.UTF-8
libdiscid to biblioteka C do tworzenia identyfikatorów DiscID dla
MusicBrainz z płyt CD Audio. Odczytuje tablicę zawartości płyty (TOC)
i generuje identyfikator, który można wykorzystywać do wyszukiwania
płyty w bazie MusicBrainz. Ponadto podaje URL do dodawania DiscID do
bazy danych.

%package devel
Summary:	Header files for discid library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki discid
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for discid library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki discid.

%package static
Summary:	Static discid library
Summary(pl.UTF-8):	Statyczna biblioteka discid
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static discid library.

%description static -l pl.UTF-8
Statyczna biblioteka discid.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_libdir}/libdiscid.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdiscid.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdiscid.so
%{_libdir}/libdiscid.la
%{_includedir}/discid
%{_pkgconfigdir}/libdiscid.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libdiscid.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libdiscid.spec,v $
Revision 1.3  2008/08/25 22:39:44  qboosh
- updated to 0.2.2 (note: soname back to .so.0)

Revision 1.2  2008/07/12 03:25:08  qboosh
- updated to 0.2.1

Revision 1.1  2007/05/28 22:27:43  qboosh
- new
